Bug 1080459 - drbd: fail to build drbd on the latest kernel 4.15.0
drbd: fail to build drbd on the latest kernel 4.15.0
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: nick wang
E-mail List
maint:planned:update
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-11 06:33 UTC by nick wang
Modified: 2018-08-06 11:35 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nick wang 2018-02-11 06:33:25 UTC
Fail to build drbd on kernel 4.15.0 since setup_timer() change to  timer_setup() in 4.15.0, refer to e99e88a9d in upstream. The corresponding upstream change for drbdv8.4 is 2bccef39c0d9.

Need to backport the fix to drbd9, and not only build to 4.15.0 but also old kernel.
Comment 1 nick wang 2018-02-11 10:07:59 UTC
refer to https://build.opensuse.org/request/show/575375
Comment 3 nick wang 2018-02-22 07:07:02 UTC
Change to resolved/fixed, since sr is accepted in SUSE:SLE-15:GA and openSUSE:Factory